;
; The names for city tiles are not free and must follow the following rules.
; The names consists of style name, _ , size. The style name is as specified
; in cities.ruleset file. The size indicates which size city must
; have to be drawn with a tile. E.g. european_4 means that the tile is to be
; used for cities of size 4+ in european style. Obviously the first tile
; must be style_name_0. The sizes must be in ascending order.
; There must also be a style_name_wall tile used to draw the wall and
; an occupied tile to indicate a miltary units in a city.
; The maximum size supported now is 31, but there can only be MAX_CITY_TILES
; normal tiles. The constant is defined in common/city.h and set to 8 now.
;

[spec]

; Format and options of this spec file:
options = "+spec2"

[info]

artists = "
    Franz Mach <franzmach@yahoo.de>
"

[file]
gfx = "ft/cities"

[grid_main]

x_top_left = 1
y_top_left = 39
dx = 64
dy = 48
is_pixel_border = 1

tiles = { "row", "column", "tag"

; default tiles

 1,  2, "cd.city"
; 1,  3, "cd.city_wall"
; 1,  4, "cd.occupied"

; used by all city styles

 5,  2, "city.disorder"

;
; city tiles
;

 0,  0, "city.mayan_0"
 0,  1, "city.mayan_4"
 0,  2, "city.mayan_8"
 0,  3, "city.mayan_12"
 0,  4, "city.mayan_16"

 1,  0, "city.classical_0"
 1,  1, "city.classical_4"
 1,  2, "city.classical_8"
 1,  3, "city.classical_12"
 1,  4, "city.classical_16"

 2,  0, "city.asiatic_0"
 2,  1, "city.asiatic_4"
 2,  2, "city.asiatic_8"
 2,  3, "city.asiatic_12"
 2,  4, "city.asiatic_16"

 3,  0, "city.european_0"
 3,  1, "city.european_4"
 3,  2, "city.european_8"
 3,  3, "city.european_12"
 3,  4, "city.european_16"

 0,  0, "city.babylonian_0"
 0,  1, "city.babylonian_4"
 4,  2, "city.babylonian_8"
 4,  3, "city.babylonian_12"
 4,  4, "city.babylonian_16"

 0,  0, "city.arabic_0"
 0,  1, "city.arabic_4"
 0,  2, "city.arabic_8"
 5,  3, "city.arabic_12"
 5,  4, "city.arabic_16"

 0,  0, "city.african_0"
 0,  1, "city.african_4"
 0,  2, "city.african_8"
 8,  0, "city.african_12"
 8,  1, "city.african_16"

 6,  0, "city.industrial_0"
 6,  1, "city.industrial_4"
 6,  2, "city.industrial_8"
 6,  3, "city.industrial_12"
 6,  4, "city.industrial_16"

 6,  0, "city.babindust_0"
 6,  1, "city.babindust_4"
 6,  2, "city.babindust_8"
 6,  3, "city.babindust_12"
 4,  0, "city.babindust_16"

 6,  0, "city.arabindust_0"
 6,  1, "city.arabindust_4"
 6,  2, "city.arabindust_8"
 6,  3, "city.arabindust_12"
 5,  0, "city.arabindust_16"

 6,  0, "city.asiaindust_0"
 6,  1, "city.asiaindust_4"
 6,  2, "city.asiaindust_8"
 6,  3, "city.asiaindust_12"
 8,  2, "city.asiaindust_16"

 7,  0, "city.modern_0"
 7,  1, "city.modern_4"
 7,  2, "city.modern_8"
 7,  3, "city.modern_12"
 7,  4, "city.modern_16"

 7,  0, "city.babmodern_0"
 7,  1, "city.babmodern_4"
 7,  2, "city.babmodern_8"
 7,  3, "city.babmodern_12"
 4,  1, "city.babmodern_16"

 7,  0, "city.arabmodern_0"
 7,  1, "city.arabmodern_4"
 7,  2, "city.arabmodern_8"
 7,  3, "city.arabmodern_12"
 5,  1, "city.arabmodern_16"

 7,  0, "city.asiamodern_0"
 7,  1, "city.asiamodern_4"
 7,  2, "city.asiamodern_8"
 8,  3, "city.asiamodern_12"
 8,  4, "city.asiamodern_16"

;we just use modern here too
 7,  0, "city.postmodern_0"
 7,  1, "city.postmodern_4"
 7,  2, "city.postmodern_8"
 7,  3, "city.postmodern_12"
 7,  4, "city.postmodern_16"

}

[grid_specials]

x_top_left = 143
y_top_left = 499
dx = 64
dy = 48
is_pixel_border = 1

tiles = { "row", "column", "tag"

 0, 0, "unit.fortified"
 0, 1, "tx.fortress"
 0, 2, "tx.airbase"
 0, 3, "tx.airbase_full"
}

[grid_flags]

x_top_left = 1
y_top_left = 501
dx = 14
dy = 33
is_pixel_border = 1

tiles = { "row", "column", "tag"

; 0, 0, "city.barbarian_occupied"
 0, 1, "city.mayan_occupied"
 0, 2, "city.babylonian_occupied", "city.babindust_occupied", "city.babmodern_occupied"
 0, 3, "city.classical_occupied"
 0, 4, "city.asiatic_occupied", "city.asiaindust_occupied", "city.asiamodern_occupied"
 0, 5, "city.arabic_occupied", "city.arabindust_occupied", "city.arabmodern_occupied"
 0, 6, "city.european_occupied", "city.industrial_occupied", "city.modern_occupied", "city.postmodern_occupied"
 0, 7, "city.african_occupied"
}

[grid_walls]

x_top_left = 334
y_top_left = 39
dx = 64
dy = 48
is_pixel_border = 1

tiles = { "row", "column", "tag"

; city tiles

 0,  0, "city.mayan_0_wall"
 0,  1, "city.mayan_4_wall"
 0,  2, "city.mayan_8_wall"
 0,  3, "city.mayan_12_wall"
 0,  4, "city.mayan_16_wall"

 1,  0, "city.classical_0_wall"
 1,  1, "city.classical_4_wall"
 1,  2, "city.classical_8_wall"
 1,  3, "city.classical_12_wall"
 1,  4, "city.classical_16_wall"

 2,  0, "city.asiatic_0_wall"
 2,  1, "city.asiatic_4_wall"
 2,  2, "city.asiatic_8_wall"
 2,  3, "city.asiatic_12_wall"
 2,  4, "city.asiatic_16_wall"

 3,  0, "city.european_0_wall"
 3,  1, "city.european_4_wall"
 3,  2, "city.european_8_wall"
 3,  3, "city.european_12_wall"
 3,  4, "city.european_16_wall"

 0,  0, "city.babylonian_0_wall"
 0,  1, "city.babylonian_4_wall"
 4,  2, "city.babylonian_8_wall"
 4,  3, "city.babylonian_12_wall"
 4,  4, "city.babylonian_16_wall"

 0,  0, "city.arabic_0_wall"
 0,  1, "city.arabic_4_wall"
 5,  2, "city.arabic_8_wall"
 5,  3, "city.arabic_12_wall"
 5,  4, "city.arabic_16_wall"

 0,  0, "city.african_0_wall"
 0,  1, "city.african_4_wall"
 0,  2, "city.african_8_wall"
 8,  0, "city.african_12_wall"
 8,  1, "city.african_16_wall"

 6,  0, "city.industrial_0_wall"
 6,  1, "city.industrial_4_wall"
 6,  2, "city.industrial_8_wall"
 6,  3, "city.industrial_12_wall"
 6,  4, "city.industrial_16_wall"

 6,  0, "city.babindust_0_wall"
 6,  1, "city.babindust_4_wall"
 6,  2, "city.babindust_8_wall"
 6,  3, "city.babindust_12_wall"
 4,  0, "city.babindust_16_wall"

 6,  0, "city.arabindust_0_wall"
 6,  1, "city.arabindust_4_wall"
 6,  2, "city.arabindust_8_wall"
 6,  3, "city.arabindust_12_wall"
 5,  0, "city.arabindust_16_wall"

 6,  0, "city.asiaindust_0_wall"
 6,  1, "city.asiaindust_4_wall"
 6,  2, "city.asiaindust_8_wall"
 6,  3, "city.asiaindust_12_wall"
 8,  2, "city.asiaindust_16_wall"

 7,  0, "city.modern_0_wall"
 7,  1, "city.modern_4_wall"
 7,  2, "city.modern_8_wall"
 7,  3, "city.modern_12_wall"
 7,  4, "city.modern_16_wall"

 7,  0, "city.babmodern_0_wall"
 7,  1, "city.babmodern_4_wall"
 7,  2, "city.babmodern_8_wall"
 7,  3, "city.babmodern_12_wall"
 4,  1, "city.babmodern_16_wall"

 7,  0, "city.arabmodern_0_wall"
 7,  1, "city.arabmodern_4_wall"
 7,  2, "city.arabmodern_8_wall"
 7,  3, "city.arabmodern_12_wall"
 5,  1, "city.arabmodern_16_wall"

 7,  0, "city.asiamodern_0_wall"
 7,  1, "city.asiamodern_4_wall"
 7,  2, "city.asiamodern_8_wall"
 8,  3, "city.asiamodern_12_wall"
 8,  4, "city.asiamodern_16_wall"

;we just use modern here too
 7,  0, "city.postmodern_0_wall"
 7,  1, "city.postmodern_4_wall"
 7,  2, "city.postmodern_8_wall"
 7,  3, "city.postmodern_12_wall"
 7,  4, "city.postmodern_16_wall"

}









